module Mks
  module Edm
    class EquipmentCategory < ApplicationRecord
      belongs_to :equipment_type

      validates :code, :name, uniqueness: true, presence: true

      delegate(:id, to: :equipment_type, prefix: true)
      delegate(:name, to: :equipment_type, prefix: true)
    end
  end
end