module Mks
  module Edm
    class EquipmentLocation < ApplicationRecord
      belongs_to :location_type

      validates :code, :name, presence: true
      validates :code, uniqueness: true

      delegate(:name, to: :location_type, prefix: true)
    end
  end
end