class CreateMksEdmEquipmentCategories < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_edm_equipment_categories do |t|
      t.string :code, unique: true
      t.string :name, null: false
      t.string :description
      t.references :equipment_type, index: { name: 'ec_on_et_indx' }

      t.timestamps
    end
    add_foreign_key :mks_edm_equipment_categories, :mks_edm_equipment_types, column: :equipment_type_id
  end
end
