class CreateMksEdmEquipmentComponents < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_edm_equipment_components do |t|
      t.string :serial_no
      t.string :name, null: false
      t.references :equipment_item, index: { name: 'ei_on_ec_indx' }

      t.timestamps
    end

    add_foreign_key :mks_edm_equipment_components, :mks_edm_equipment_items, column: :equipment_item_id
  end
end
